# Get a webhook endpoint

`GET /v1/webhooks/{id}`

Fetches a webhook endpoint by its ID, without its secret.

Needs `webhooks:read`.

## Path parameters

- `id` (string, uuid): The webhook endpoint's ID.

## Example

```sh
curl https://app.soosh.io/v1/webhooks/4c6e8a0c-2e4b-4d6f-b8a0-1c3e5a7c9e4b \
  -H "Authorization: Bearer $SOOSH_API_KEY"
```

Response 200:

```json
{
  "id": "4c6e8a0c-2e4b-4d6f-b8a0-1c3e5a7c9e4b",
  "url": "https://hooks.example.com/soosh",
  "description": "Order updates",
  "events": [
    "message.status",
    "contact.created"
  ],
  "headers": {
    "X-Api-Token": "********"
  },
  "status": "active",
  "disabled_reason": null,
  "paused_until": null,
  "previous_secret_expires_at": null,
  "created_at": "2026-10-14T09:20:05.631Z",
  "updated_at": "2026-10-14T09:20:05.631Z"
}
```

## Returns

200. The webhook endpoint.

## Errors

Besides the ones every request can get (https://docs.soosh.io/reference/api/errors/):

- 404 `not_found`: There is no webhook endpoint with this ID in your workspace.